Bug 26783 - Set OpacRenewalAllowed to "Allowed" for new installations
Summary: Set OpacRenewalAllowed to "Allowed" for new installations
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tal Rogoff
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-10-22 12:33 UTC by Katrin Fischer
Modified: 2020-11-16 21:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
bug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations (1.80 KB, patch)
2020-10-23 23:53 UTC, Alex Buckley
Details | Diff | Splinter Review
bug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations (1.85 KB, patch)
2020-10-24 01:36 UTC, David Nind
Details | Diff | Splinter Review
Nug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations (1.85 KB, patch)
2020-10-24 02:00 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations (1.85 KB, patch)
2020-10-24 02:01 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations (1.90 KB, patch)
2020-11-03 15:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-22 12:33:38 UTC
In a new installation of Koha renewals in the OPAC are not possible because of the default setting for OpacRenewalAllowed. I think we should change the default to make things more obvious for new users.
Comment 1 Alex Buckley 2020-10-23 23:53:52 UTC
Created attachment 112332 [details] [review]
bug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations

test plan:
1.Drop and recreate database
2.Go through web installer
3.Observe that "OpacRenewalAllowed" is set to "Don't Allow"
4.Apply patch
5.Repeat steps 1 and 2
6.Observe that "OpacRenewalAllowed" is now set to "Allow"

sponsored-by: Catalyst
Comment 2 David Nind 2020-10-24 01:36:14 UTC
Created attachment 112352 [details] [review]
bug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations

test plan:
1.Drop and recreate database
2.Go through web installer
3.Observe that "OpacRenewalAllowed" is set to "Don't Allow"
4.Apply patch
5.Repeat steps 1 and 2
6.Observe that "OpacRenewalAllowed" is now set to "Allow"

sponsored-by: Catalyst

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2020-10-24 02:00:38 UTC
Created attachment 112355 [details] [review]
Nug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations

test plan:
1.Drop and recreate database
2.Go through web installer
3.Observe that "OpacRenewalAllowed" is set to "Don't Allow"
4.Apply patch
5.Repeat steps 1 and 2
6.Observe that "OpacRenewalAllowed" is now set to "Allow"

sponsored-by: Catalyst

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Nick Clemens 2020-10-24 02:01:13 UTC
Created attachment 112356 [details] [review]
Bug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations

test plan:
1.Drop and recreate database
2.Go through web installer
3.Observe that "OpacRenewalAllowed" is set to "Don't Allow"
4.Apply patch
5.Repeat steps 1 and 2
6.Observe that "OpacRenewalAllowed" is now set to "Allow"

sponsored-by: Catalyst

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Nick Clemens 2020-10-24 02:02:43 UTC
Passing QA, but noting that on hea the majority of installs do not enable this preference. Maybe this default fixes it, but worth mentioning

Also, please remember to capitalize the "B" in 'bug' in your commit titles ;-)
Comment 6 Jonathan Druart 2020-11-03 15:17:17 UTC
Created attachment 112934 [details] [review]
Bug 26783: set OpacRenewalAllowed to "Allow" for new Koha installations

test plan:
1.Drop and recreate database
2.Go through web installer
3.Observe that "OpacRenewalAllowed" is set to "Don't Allow"
4.Apply patch
5.Repeat steps 1 and 2
6.Observe that "OpacRenewalAllowed" is now set to "Allow"

sponsored-by: Catalyst

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Jonathan Druart 2020-11-03 15:17:36 UTC
Added missing signed-off-by line.
Comment 8 Jonathan Druart 2020-11-04 12:04:22 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-11-16 21:15:03 UTC
enhancement will not be backported to 20.05.x